MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
CLK

## Data Structures
struct | _CLK_Obj_
| Defines the clock (CLK) object. More...

## Macros
#define | CLK_BASE_ADDR (0x00007010)
| Defines the base address of the clock (CLK) registers. More...
#define | CLK_PCLKCR0_HRPWMENCLK_BITS (1 << 0)
| Defines the location of the HRPWMENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_LINAENCLK_BITS (1 << 1)
| Defines the location of the LINAENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_TBCLKSYNC_BITS (1 << 2)
| Defines the location of the TBCLKSYNC bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_ADCENCLK_BITS (1 << 3)
| Defines the location of the ADCENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_I2CAENCLK_BITS (1 << 4)
| Defines the location of the I2CAENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_SPIAENCLK_BITS (1 << 8)
| Defines the location of the SPIAENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_SPIBENCLK_BITS (1 << 9)
| Defines the location of the SPIBENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_SCIAENCLK_BITS (1 << 10)
| Defines the location of the SCIAENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_SCIBENCLK_BITS (1 << 11)
| Defines the location of the SCIBENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR0_ECANAENCLK_BITS (1 << 14)
| Defines the location of the ECANAENCLK bits in the PCLKCR0 register. More...
#define | CLK_PCLKCR1_EPWM1ENCLK_BITS (1 << 0)
| Defines the location of the EPWM1ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EPWM2ENCLK_BITS (1 << 1)
| Defines the location of the EPWM2ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EPWM3ENCLK_BITS (1 << 2)
| Defines the location of the EPWM3ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EPWM4ENCLK_BITS (1 << 3)
| Defines the location of the EPWM4ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EPWM5ENCLK_BITS (1 << 4)
| Defines the location of the EPWM5ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EPWM6ENCLK_BITS (1 << 5)
| Defines the location of the EPWM6ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EPWM7ENCLK_BITS (1 << 6)
| Defines the location of the EPWM7ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_ECAP1ENCLK_BITS (1 << 8)
| Defines the location of the ECAP1ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EQEP1ENCLK_BITS (1 << 14)
| Defines the location of the EQEP1ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR1_EQEP2ENCLK_BITS (1 << 15)
| Defines the location of the EQEP2ENCLK bits in the PCLKCR1 register. More...
#define | CLK_PCLKCR3_COMP1ENCLK_BITS (1 << 0)
| Defines the location of the COMP1ENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_COMP2ENCLK_BITS (1 << 1)
| Defines the location of the COMP2ENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_COMP3ENCLK_BITS (1 << 2)
| Defines the location of the COMP3ENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_CPUTIMER0ENCLK_BITS (1 << 8)
| Defines the location of the CPUTIMER0ENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_CPUTIMER1ENCLK_BITS (1 << 9)
| Defines the location of the CPUTIMER1ENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_CPUTIMER2ENCLK_BITS (1 << 10)
| Defines the location of the CPUTIMER2ENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_GPIOINENCLK_BITS (1 << 13)
| Defines the location of the GPIOINENCLK bits in the PCLKCR3 register. More...
#define | CLK_PCLKCR3_CLA1ENCLK_BITS (1 << 14)
| Defines the location of the CLA1ENCLK bits in the PCLKCR3 register. More...
#define | CLK_LOSPCP_LSPCLK_BITS (7 << 0)
| Defines the location of the LSPNCLK bits in the LOSPCP register. More...
#define | CLK_XCLK_XCLKOUTDIV_BITS (3 << 0)
| Defines the location of the XCLKOUTDIV bits in the XCLK register. More...
#define | CLK_XCLK_XCLKINSEL_BITS (1 << 6)
| Defines the location of the XCLKINSEL bits in the XCLK register. More...
#define | CLK_CLKCTL_OSCCLKSRCSEL_BITS (1 << 0)
| Defines the location of the OSCCLKSRCSEL bits in the CLKCTL register. More...
#define | CLK_CLKCTL_OSCCLKSRC2SEL_BITS (1 << 1)
| Defines the location of the OSCCLKSRC2SEL bits in the CLKCTL register. More...
#define | CLK_CLKCTL_WDCLKSRCSEL_BITS (1 << 2)
| Defines the location of the WDCLKSRCSEL bits in the CLKCTL register. More...
#define | CLK_CLKCTL_TMR2CLKSRCSEL_BITS (3 << 3)
| Defines the location of the TMR2CLKSRCSEL bits in the CLKCTL register. More...
#define | CLK_CLKCTL_TMR2CLKPRESCALE_BITS (7 << 5)
| Defines the location of the TMR2CLKPRESCALE bits in the CLKCTL register. More...
#define | CLK_CLKCTL_INTOSC1OFF_BITS (1 << 8)
| Defines the location of the INTOSC1OFF bits in the CLKCTL register. More...
#define | CLK_CLKCTL_INTOSC1HALTI_BITS (1 << 9)
| Defines the location of the INTOSC1HALTI bits in the CLKCTL register. More...
#define | CLK_CLKCTL_INTOSC2OFF_BITS (1 << 10)
| Defines the location of the INTOSC2OFF bits in the CLKCTL register. More...
#define | CLK_CLKCTL_INTOSC2HALTI_BITS (1 << 11)
| Defines the location of the INTOSC2HALTI bits in the CLKCTL register. More...
#define | CLK_CLKCTL_WDHALTI_BITS (1 << 12)
| Defines the location of the WDHALTI bits in the CLKCTL register. More...
#define | CLK_CLKCTL_XCLKINOFF_BITS (1 << 13)
| Defines the location of the XCLKINOFF bits in the CLKCTL register. More...
#define | CLK_CLKCTL_XTALOSCOFF_BITS (1 << 14)
| Defines the location of the XTALOSCOFF bits in the CLKCTL register. More...
#define | CLK_CLKCTL_NMIRESETSEL_BITS (1 << 15)
| Defines the location of the NMIRESETSEL bits in the CLKCTL register. More...

## Typedefs
typedef struct _CLK_Obj_ | CLK_Obj
| Defines the clock (CLK) object. More...
typedef struct _CLK_Obj_ * | CLK_Handle
| Defines the clock (CLK) handle. More...

## Enumerations
enum | CLK_ClkOutPreScaler_e { CLK_ClkOutPreScaler_SysClkOut_by_4 =(0 << 0), CLK_ClkOutPreScaler_SysClkOut_by_2 =(1 << 0), CLK_ClkOutPreScaler_SysClkOut_by_1 =(2 << 0), CLK_ClkOutPreScaler_Off }
| Enumeration to define the external clock output frequency. More...
enum | CLK_CompNumber_e { CLK_CompNumber_1 =(1 << 0), CLK_CompNumber_2 =(1 << 1), CLK_CompNumber_3 =(1 << 2) }
| Enumeration to define the comparator numbers. More...
enum | CLK_CpuTimerNumber_e { CLK_CpuTimerNumber_0 =(1 << 8), CLK_CpuTimerNumber_1 =(1 << 9), CLK_CpuTimerNumber_2 =(1 << 10) }
| Enumeration to define the CPU timer numbers. More...
enum | CLK_LowSpdPreScaler_e { CLK_LowSpdPreScaler_SysClkOut_by_1 =(0 << 0), CLK_LowSpdPreScaler_SysClkOut_by_2 =(1 << 0), CLK_LowSpdPreScaler_SysClkOut_by_4 =(2 << 0), CLK_LowSpdPreScaler_SysClkOut_by_6 =(3 << 0), CLK_LowSpdPreScaler_SysClkOut_by_8 =(4 << 0), CLK_LowSpdPreScaler_SysClkOut_by_10 =(5 << 0), CLK_LowSpdPreScaler_SysClkOut_by_12 =(6 << 0), CLK_LowSpdPreScaler_SysClkOut_by_14 =(7 << 0) }
| Enumeration to define the low speed clock prescaler, which sets the clock frequency. More...
enum | CLK_XClkInSrc_e { CLK_XClkInSrc_Gpio38 =(0 << 6), CLK_XClkInSrc_Gpio19 =(1 << 6) }
| Enumeration to define the clock in source. More...
enum | CLK_OscSrc_e { CLK_OscSrc_Internal =(0 << 0), CLK_OscSrc_External =(1 << 0) }
| Enumeration to define the clock oscillator source. More...
enum | CLK_Osc2Src_e { CLK_Osc2Src_Internal =(1 << 1), CLK_Osc2Src_External =(0 << 1) }
| Enumeration to define the clock oscillator 2 source. More...
enum | CLK_Timer2PreScaler_e { CLK_Timer2PreScaler_by_1 =(0 << 5), CLK_Timer2PreScaler_by_2 =(1 << 5), CLK_Timer2PreScaler_by_4 =(2 << 5), CLK_Timer2PreScaler_by_8 =(3 << 5), CLK_Timer2PreScaler_by_16 =(4 << 5) }
| Enumeration to define the timer 2 prescaler, which sets the timer 2 frequency. More...
enum | CLK_Timer2Src_e { CLK_Timer2Src_SysClk =(0 << 3), CLK_Timer2Src_ExtOsc =(1 << 3), CLK_Timer2Src_IntOsc1 =(2 << 3), CLK_Timer2Src_IntOsc2 =(3 << 3) }
| Enumeration to define the timer 2 source. More...
enum | CLK_WdClkSrc_e { CLK_WdClkSrc_IntOsc1 =(0 << 2), CLK_WdClkSrc_ExtOscOrIntOsc2 =(1 << 2) }
| Enumeration to define the watchdog clock source. More...

## Functions
void | CLK_disableAdcClock (CLK_Handle clkHandle)
| Disables the ADC clock. More...
void | CLK_disableClaClock (CLK_Handle clkHandle)
| Disables the CLA clock. More...
void | CLK_disableClkIn (CLK_Handle clkHandle)
| Disables the XCLKIN oscillator input. More...
void | CLK_disableCompClock (CLK_Handle clkHandle, const CLK_CompNumber_e compNumber)
| Disables the comparator clock. More...
void | CLK_disableCpuTimerClock (CLK_Handle clkHandle, const CLK_CpuTimerNumber_e cpuTimerNumber)
| Disables the CPU timer clock. More...
void | CLK_disableCrystalOsc (CLK_Handle clkHandle)
| Disables the crystal oscillator. More...
void | CLK_disableEcanaClock (CLK_Handle clkHandle)
| Disables the ECANA clock. More...
void | CLK_disableEcap1Clock (CLK_Handle clkHandle)
| Disables the ECAP1 clock. More...
void | CLK_disableEqep1Clock (CLK_Handle clkHandle)
| Disables the EQEP1 clock. More...
void | CLK_disableEqep2Clock (CLK_Handle clkHandle)
| Disables the EQEP2 clock. More...
void | CLK_disableGpioInputClock (CLK_Handle clkHandle)
| Disables the GPIO input clock. More...
void | CLK_disableHrPwmClock (CLK_Handle clkHandle)
| Disables the HRPWM clock. More...
void | CLK_disableI2cClock (CLK_Handle clkHandle)
| Disables the I2C clock. More...
void | CLK_disableLinAClock (CLK_Handle clkHandle)
| Disables the LIN-A clock. More...
void | CLK_disableOsc1 (CLK_Handle clkHandle)
| Disables internal oscillator 1. More...
void | CLK_disableOsc1HaltMode (CLK_Handle clkHandle)
| Disables internal oscillator 1 halt mode ignore. More...
void | CLK_disableOsc2 (CLK_Handle clkHandle)
| Disables internal oscillator 2. More...
void | CLK_disableOsc2HaltMode (CLK_Handle clkHandle)
| Disables internal oscillator 2 halt mode ignore. More...
void | CLK_disablePwmClock (CLK_Handle clkHandle, const PWM_Number_e pwmNumber)
| Disables the pwm clock. More...
void | CLK_disableSciaClock (CLK_Handle clkHandle)
| Disables the SCI-A clock. More...
void | CLK_disableScibClock (CLK_Handle clkHandle)
| Disables the SCI-B clock. More...
void | CLK_disableSpiaClock (CLK_Handle clkHandle)
| Disables the SPI-A clock. More...
void | CLK_disableSpibClock (CLK_Handle clkHandle)
| Disables the SPI-B clock. More...
void | CLK_disableTbClockSync (CLK_Handle clkHandle)
| Disables the ePWM module time base clock sync signal. More...
void | CLK_disableWatchDogHaltMode (CLK_Handle clkHandle)
| Disables the watchdog halt mode ignore. More...
void | CLK_enableAdcClock (CLK_Handle clkHandle)
| Enables the ADC clock. More...
void | CLK_enableClaClock (CLK_Handle clkHandle)
| Enables the CLA clock. More...
void | CLK_enableClkIn (CLK_Handle clkHandle)
| Enables the XCLKIN oscillator input. More...
void | CLK_enableCompClock (CLK_Handle clkHandle, const CLK_CompNumber_e compNumber)
| Enables the comparator clock. More...
void | CLK_enableCpuTimerClock (CLK_Handle clkHandle, const CLK_CpuTimerNumber_e cpuTimerNumber)
| Enables the CPU timer clock. More...
void | CLK_enableCrystalOsc (CLK_Handle clkHandle)
| Enables the crystal oscillator. More...
void | CLK_enableEcanaClock (CLK_Handle clkHandle)
| Enables the ECANA clock. More...
void | CLK_enableEcap1Clock (CLK_Handle clkHandle)
| Enables the ECAP1 clock. More...
void | CLK_enableEqep1Clock (CLK_Handle clkHandle)
| Enables the EQEP1 clock. More...
void | CLK_enableEqep2Clock (CLK_Handle clkHandle)
| Enables the EQEP2 clock. More...
void | CLK_enableGpioInputClock (CLK_Handle clkHandle)
| Enables the GPIO input clock. More...
void | CLK_enableHrPwmClock (CLK_Handle clkHandle)
| Enables the HRPWM clock. More...
void | CLK_enableI2cClock (CLK_Handle clkHandle)
| Enables the I2C clock. More...
void | CLK_enableLinAClock (CLK_Handle clkHandle)
| Enables the LIN-A clock. More...
void | CLK_enableOsc1 (CLK_Handle clkHandle)
| Enables internal oscillator 1. More...
void | CLK_enableOsc1HaltMode (CLK_Handle clkHandle)
| Enables internal oscillator 1 halt mode ignore. More...
void | CLK_enableOsc2 (CLK_Handle clkHandle)
| Enables internal oscillator 2. More...
void | CLK_enableOsc2HaltMode (CLK_Handle clkHandle)
| Enables internal oscillator 2 halt mode ignore. More...
void | CLK_enablePwmClock (CLK_Handle clkHandle, const PWM_Number_e pwmNumber)
| Enables the pwm clock. More...
void | CLK_enableSciaClock (CLK_Handle clkHandle)
| Enables the SCI-A clock. More...
void | CLK_enableScibClock (CLK_Handle clkHandle)
| Enables the SCI-B clock. More...
void | CLK_enableSpiaClock (CLK_Handle clkHandle)
| Enables the SPI-A clock. More...
void | CLK_enableSpibClock (CLK_Handle clkHandle)
| Enables the SPI-B clock. More...
void | CLK_enableTbClockSync (CLK_Handle clkHandle)
| Enables the ePWM module time base clock sync signal. More...
void | CLK_enableWatchDogHaltMode (CLK_Handle clkHandle)
| Enables the watchdog halt mode ignore. More...
CLK_Handle | CLK_init (void *pMemory, const size_t numBytes)
| Initializes the clock (CLK) object handle. More...
void | CLK_setClkOutPreScaler (CLK_Handle clkHandle, const CLK_ClkOutPreScaler_e preScaler)
| Sets the external clock out prescaler. More...
void | CLK_setLowSpdPreScaler (CLK_Handle clkHandle, const CLK_LowSpdPreScaler_e preScaler)
| Sets the low speed peripheral clock prescaler. More...
void | CLK_setOscSrc (CLK_Handle clkHandle, const CLK_OscSrc_e src)
| Sets the oscillator clock source. More...
void | CLK_setOsc2Src (CLK_Handle clkHandle, const CLK_Osc2Src_e src)
| Sets the oscillator 2 clock source. More...
void | CLK_setXClkInSrc (CLK_Handle clkHandle, const CLK_XClkInSrc_e src)
| Sets the XCLKIN Clock Source. More...
void | CLK_setTimer2PreScaler (CLK_Handle clkHandle, const CLK_Timer2PreScaler_e preScaler)
| Sets the timer 2 clock prescaler. More...
void | CLK_setTimer2Src (CLK_Handle clkHandle, const CLK_Timer2Src_e src)
| Sets the timer 2 clock source. More...
void | CLK_setWatchDogSrc (CLK_Handle clkHandle, const CLK_WdClkSrc_e src)
| Sets the watchdog clock source. More...

## Detailed Description

## Data Structure Documentation

struct _CLK_Obj_

Defines the clock (CLK) object.

Definition at line 364 of file clk.h.

Data Fields
volatile uint16_t | CLKCTL | Clock Control Register.
volatile uint16_t | LOSPCP | Low-Speed Peripheral Clock Pre-Scaler Register.
volatile uint16_t | PCLKCR0 | Peripheral Clock Control Register 0.
volatile uint16_t | PCLKCR1 | Peripheral Clock Control Register 1.
volatile uint16_t | PCLKCR3 | Peripheral Clock Control Register 3.
volatile uint16_t | rsvd_1 | Reserved.
volatile uint16_t | rsvd_2[8] | Reserved.
volatile uint16_t | rsvd_3[2] | Reserved.
volatile uint16_t | XCLK | XCLKOUT/XCLKIN Control.

## Macro Definition Documentation

#define CLK_BASE_ADDR (0x00007010)

Defines the base address of the clock (CLK) registers.

Definition at line 70 of file clk.h.

#define CLK_CLKCTL_INTOSC1HALTI_BITS (1 << 9)

Defines the location of the INTOSC1HALTI bits in the CLKCTL register.

Definition at line 226 of file clk.h.

Referenced by CLK_disableOsc1HaltMode(), and CLK_enableOsc1HaltMode().

#define CLK_CLKCTL_INTOSC1OFF_BITS (1 << 8)

Defines the location of the INTOSC1OFF bits in the CLKCTL register.

Definition at line 222 of file clk.h.

Referenced by CLK_disableOsc1(), and CLK_enableOsc1().

#define CLK_CLKCTL_INTOSC2HALTI_BITS (1 << 11)

Defines the location of the INTOSC2HALTI bits in the CLKCTL register.

Definition at line 234 of file clk.h.

Referenced by CLK_disableOsc2HaltMode(), and CLK_enableOsc2HaltMode().

#define CLK_CLKCTL_INTOSC2OFF_BITS (1 << 10)

Defines the location of the INTOSC2OFF bits in the CLKCTL register.

Definition at line 230 of file clk.h.

Referenced by CLK_disableOsc2(), and CLK_enableOsc2().

#define CLK_CLKCTL_NMIRESETSEL_BITS (1 << 15)

Defines the location of the NMIRESETSEL bits in the CLKCTL register.

Definition at line 250 of file clk.h.

#define CLK_CLKCTL_OSCCLKSRC2SEL_BITS (1 << 1)

Defines the location of the OSCCLKSRC2SEL bits in the CLKCTL register.

Definition at line 206 of file clk.h.

Referenced by CLK_setOsc2Src().

#define CLK_CLKCTL_OSCCLKSRCSEL_BITS (1 << 0)

Defines the location of the OSCCLKSRCSEL bits in the CLKCTL register.

Definition at line 202 of file clk.h.

Referenced by CLK_setOscSrc().

#define CLK_CLKCTL_TMR2CLKPRESCALE_BITS (7 << 5)

Defines the location of the TMR2CLKPRESCALE bits in the CLKCTL register.

Definition at line 218 of file clk.h.

Referenced by CLK_setTimer2PreScale().

#define CLK_CLKCTL_TMR2CLKSRCSEL_BITS (3 << 3)

Defines the location of the TMR2CLKSRCSEL bits in the CLKCTL register.

Definition at line 214 of file clk.h.

Referenced by CLK_setTimer2Src().

#define CLK_CLKCTL_WDCLKSRCSEL_BITS (1 << 2)

Defines the location of the WDCLKSRCSEL bits in the CLKCTL register.

Definition at line 210 of file clk.h.

Referenced by CLK_setWatchDogSrc().

#define CLK_CLKCTL_WDHALTI_BITS (1 << 12)

Defines the location of the WDHALTI bits in the CLKCTL register.

Definition at line 238 of file clk.h.

Referenced by CLK_disableWatchDogHaltMode(), and CLK_enableWatchDogHaltMode().

#define CLK_CLKCTL_XCLKINOFF_BITS (1 << 13)

Defines the location of the XCLKINOFF bits in the CLKCTL register.

Definition at line 242 of file clk.h.

Referenced by CLK_disableClkIn(), and CLK_enableClkIn().

#define CLK_CLKCTL_XTALOSCOFF_BITS (1 << 14)

Defines the location of the XTALOSCOFF bits in the CLKCTL register.

Definition at line 246 of file clk.h.

Referenced by CLK_disableCrystalOsc(), and CLK_enableCrystalOsc().

#define CLK_LOSPCP_LSPCLK_BITS (7 << 0)

Defines the location of the LSPNCLK bits in the LOSPCP register.

Definition at line 188 of file clk.h.

#define CLK_PCLKCR0_ADCENCLK_BITS (1 << 3)

Defines the location of the ADCENCLK bits in the PCLKCR0 register.

Definition at line 86 of file clk.h.

Referenced by CLK_disableAdcClock(), and CLK_enableAdcClock().

#define CLK_PCLKCR0_ECANAENCLK_BITS (1 << 14)

Defines the location of the ECANAENCLK bits in the PCLKCR0 register.

Definition at line 110 of file clk.h.

Referenced by CLK_disableEcanaClock(), and CLK_enableEcanaClock().

#define CLK_PCLKCR0_HRPWMENCLK_BITS (1 << 0)

Defines the location of the HRPWMENCLK bits in the PCLKCR0 register.

Definition at line 74 of file clk.h.

Referenced by CLK_disableHrPwmClock(), and CLK_enableHrPwmClock().

#define CLK_PCLKCR0_I2CAENCLK_BITS (1 << 4)

Defines the location of the I2CAENCLK bits in the PCLKCR0 register.

Definition at line 90 of file clk.h.

Referenced by CLK_disableI2cClock(), and CLK_enableI2cClock().

#define CLK_PCLKCR0_LINAENCLK_BITS (1 << 1)

Defines the location of the LINAENCLK bits in the PCLKCR0 register.

Definition at line 78 of file clk.h.

Referenced by CLK_disableLinAClock(), and CLK_enableLinAClock().

#define CLK_PCLKCR0_SCIAENCLK_BITS (1 << 10)

Defines the location of the SCIAENCLK bits in the PCLKCR0 register.

Definition at line 102 of file clk.h.

Referenced by CLK_disableSciaClock(), and CLK_enableSciaClock().

#define CLK_PCLKCR0_SCIBENCLK_BITS (1 << 11)

Defines the location of the SCIBENCLK bits in the PCLKCR0 register.

Definition at line 106 of file clk.h.

Referenced by CLK_disableScibClock(), and CLK_enableScibClock().

#define CLK_PCLKCR0_SPIAENCLK_BITS (1 << 8)

Defines the location of the SPIAENCLK bits in the PCLKCR0 register.

Definition at line 94 of file clk.h.

Referenced by CLK_disableSpiaClock(), and CLK_enableSpiaClock().

#define CLK_PCLKCR0_SPIBENCLK_BITS (1 << 9)

Defines the location of the SPIBENCLK bits in the PCLKCR0 register.

Definition at line 98 of file clk.h.

Referenced by CLK_disableSpibClock(), and CLK_enableSpibClock().

#define CLK_PCLKCR0_TBCLKSYNC_BITS (1 << 2)

Defines the location of the TBCLKSYNC bits in the PCLKCR0 register.

Definition at line 82 of file clk.h.

Referenced by CLK_disableTbClockSync(), and CLK_enableTbClockSync().

#define CLK_PCLKCR1_ECAP1ENCLK_BITS (1 << 8)

Defines the location of the ECAP1ENCLK bits in the PCLKCR1 register.

Definition at line 143 of file clk.h.

Referenced by CLK_disableEcap1Clock(), and CLK_enableEcap1Clock().

#define CLK_PCLKCR1_EPWM1ENCLK_BITS (1 << 0)

Defines the location of the EPWM1ENCLK bits in the PCLKCR1 register.

Definition at line 115 of file clk.h.

#define CLK_PCLKCR1_EPWM2ENCLK_BITS (1 << 1)

Defines the location of the EPWM2ENCLK bits in the PCLKCR1 register.

Definition at line 119 of file clk.h.

#define CLK_PCLKCR1_EPWM3ENCLK_BITS (1 << 2)

Defines the location of the EPWM3ENCLK bits in the PCLKCR1 register.

Definition at line 123 of file clk.h.

#define CLK_PCLKCR1_EPWM4ENCLK_BITS (1 << 3)

Defines the location of the EPWM4ENCLK bits in the PCLKCR1 register.

Definition at line 127 of file clk.h.

#define CLK_PCLKCR1_EPWM5ENCLK_BITS (1 << 4)

Defines the location of the EPWM5ENCLK bits in the PCLKCR1 register.

Definition at line 131 of file clk.h.

#define CLK_PCLKCR1_EPWM6ENCLK_BITS (1 << 5)

Defines the location of the EPWM6ENCLK bits in the PCLKCR1 register.

Definition at line 135 of file clk.h.

#define CLK_PCLKCR1_EPWM7ENCLK_BITS (1 << 6)

Defines the location of the EPWM7ENCLK bits in the PCLKCR1 register.

Definition at line 139 of file clk.h.

#define CLK_PCLKCR1_EQEP1ENCLK_BITS (1 << 14)

Defines the location of the EQEP1ENCLK bits in the PCLKCR1 register.

Definition at line 147 of file clk.h.

Referenced by CLK_disableEqep1Clock(), and CLK_enableEqep1Clock().

#define CLK_PCLKCR1_EQEP2ENCLK_BITS (1 << 15)

Defines the location of the EQEP2ENCLK bits in the PCLKCR1 register.

Definition at line 151 of file clk.h.

Referenced by CLK_disableEqep2Clock(), and CLK_enableEqep2Clock().

#define CLK_PCLKCR3_CLA1ENCLK_BITS (1 << 14)

Defines the location of the CLA1ENCLK bits in the PCLKCR3 register.

Definition at line 183 of file clk.h.

Referenced by CLK_disableClaClock(), and CLK_enableClaClock().

#define CLK_PCLKCR3_COMP1ENCLK_BITS (1 << 0)

Defines the location of the COMP1ENCLK bits in the PCLKCR3 register.

Definition at line 155 of file clk.h.

#define CLK_PCLKCR3_COMP2ENCLK_BITS (1 << 1)

Defines the location of the COMP2ENCLK bits in the PCLKCR3 register.

Definition at line 159 of file clk.h.

#define CLK_PCLKCR3_COMP3ENCLK_BITS (1 << 2)

Defines the location of the COMP3ENCLK bits in the PCLKCR3 register.

Definition at line 163 of file clk.h.

#define CLK_PCLKCR3_CPUTIMER0ENCLK_BITS (1 << 8)

Defines the location of the CPUTIMER0ENCLK bits in the PCLKCR3 register.

Definition at line 167 of file clk.h.

#define CLK_PCLKCR3_CPUTIMER1ENCLK_BITS (1 << 9)

Defines the location of the CPUTIMER1ENCLK bits in the PCLKCR3 register.

Definition at line 171 of file clk.h.

#define CLK_PCLKCR3_CPUTIMER2ENCLK_BITS (1 << 10)

Defines the location of the CPUTIMER2ENCLK bits in the PCLKCR3 register.

Definition at line 175 of file clk.h.

#define CLK_PCLKCR3_GPIOINENCLK_BITS (1 << 13)

Defines the location of the GPIOINENCLK bits in the PCLKCR3 register.

Definition at line 179 of file clk.h.

Referenced by CLK_disableGpioInputClock(), and CLK_enableGpioInputClock().

#define CLK_XCLK_XCLKINSEL_BITS (1 << 6)

Defines the location of the XCLKINSEL bits in the XCLK register.

Definition at line 197 of file clk.h.

Referenced by CLK_setXClkInSrc().

#define CLK_XCLK_XCLKOUTDIV_BITS (3 << 0)

Defines the location of the XCLKOUTDIV bits in the XCLK register.

Definition at line 193 of file clk.h.

Referenced by CLK_setClkOutPreScaler().

## Typedef Documentation

typedef struct _CLK_Obj_* CLK_Handle

Defines the clock (CLK) handle.

Definition at line 380 of file clk.h.

typedef struct _CLK_Obj_ CLK_Obj

Defines the clock (CLK) object.

## Enumeration Type Documentation

enum CLK_ClkOutPreScaler_e

Enumeration to define the external clock output frequency.

Enumerator
CLK_ClkOutPreScaler_SysClkOut_by_4 | Denotes XCLKOUT = SYSCLKOUT/4.
CLK_ClkOutPreScaler_SysClkOut_by_2 | Denotes XCLKOUT = SYSCLKOUT/2.
CLK_ClkOutPreScaler_SysClkOut_by_1 | Denotes XCLKOUT = SYSCLKOUT/1.
CLK_ClkOutPreScaler_Off | Denotes XCLKOUT = Off.

Definition at line 259 of file clk.h.

enum CLK_CompNumber_e

Enumeration to define the comparator numbers.

Enumerator
CLK_CompNumber_1 | Denotes comparator number 1.
CLK_CompNumber_2 | Denotes comparator number 2.
CLK_CompNumber_3 | Denotes comparator number 3.

Definition at line 270 of file clk.h.

enum CLK_CpuTimerNumber_e

Enumeration to define the CPU timer numbers.

Enumerator
CLK_CpuTimerNumber_0 | Denotes CPU timer number 0.
CLK_CpuTimerNumber_1 | Denotes CPU timer number 1.
CLK_CpuTimerNumber_2 | Denotes CPU timer number 2.

Definition at line 280 of file clk.h.

enum CLK_LowSpdPreScaler_e

Enumeration to define the low speed clock prescaler, which sets the clock frequency.

Enumerator
CLK_LowSpdPreScaler_SysClkOut_by_1 | Denotes Low Speed Clock = SYSCLKOUT/1.
CLK_LowSpdPreScaler_SysClkOut_by_2 | Denotes Low Speed Clock = SYSCLKOUT/2.
CLK_LowSpdPreScaler_SysClkOut_by_4 | Denotes Low Speed Clock = SYSCLKOUT/4.
CLK_LowSpdPreScaler_SysClkOut_by_6 | Denotes Low Speed Clock = SYSCLKOUT/6.
CLK_LowSpdPreScaler_SysClkOut_by_8 | Denotes Low Speed Clock = SYSCLKOUT/8.
CLK_LowSpdPreScaler_SysClkOut_by_10 | Denotes Low Speed Clock = SYSCLKOUT/10.
CLK_LowSpdPreScaler_SysClkOut_by_12 | Denotes Low Speed Clock = SYSCLKOUT/12.
CLK_LowSpdPreScaler_SysClkOut_by_14 | Denotes Low Speed Clock = SYSCLKOUT/14.

Definition at line 290 of file clk.h.

enum CLK_Osc2Src_e

Enumeration to define the clock oscillator 2 source.

Enumerator
CLK_Osc2Src_Internal | Denotes an internal oscillator 2 source.
CLK_Osc2Src_External | Denotes an external oscillator 2 source.

Definition at line 323 of file clk.h.

enum CLK_OscSrc_e

Enumeration to define the clock oscillator source.

Enumerator
CLK_OscSrc_Internal | Denotes an internal oscillator source.
CLK_OscSrc_External | Denotes an external oscillator source.

Definition at line 314 of file clk.h.

enum CLK_Timer2PreScaler_e

Enumeration to define the timer 2 prescaler, which sets the timer 2 frequency.

Enumerator
CLK_Timer2PreScaler_by_1 | Denotes a CPU timer 2 clock pre-scaler value of divide by 1.
CLK_Timer2PreScaler_by_2 | Denotes a CPU timer 2 clock pre-scaler value of divide by 2.
CLK_Timer2PreScaler_by_4 | Denotes a CPU timer 2 clock pre-scaler value of divide by 4.
CLK_Timer2PreScaler_by_8 | Denotes a CPU timer 2 clock pre-scaler value of divide by 8.
CLK_Timer2PreScaler_by_16 | Denotes a CPU timer 2 clock pre-scaler value of divide by 16.

Definition at line 332 of file clk.h.

enum CLK_Timer2Src_e

Enumeration to define the timer 2 source.

Enumerator
CLK_Timer2Src_SysClk | Denotes the CPU timer 2 clock source is SYSCLKOUT.
CLK_Timer2Src_ExtOsc | Denotes the CPU timer 2 clock source is external oscillator.
CLK_Timer2Src_IntOsc1 | Denotes the CPU timer 2 clock source is internal oscillator 1.
CLK_Timer2Src_IntOsc2 | Denotes the CPU timer 2 clock source is internal oscillator 2.

Definition at line 344 of file clk.h.

enum CLK_WdClkSrc_e

Enumeration to define the watchdog clock source.

Enumerator
CLK_WdClkSrc_IntOsc1 | Denotes the watchdog clock source is internal oscillator 1.
CLK_WdClkSrc_ExtOscOrIntOsc2 | Denotes the watchdog clock source is external oscillator or internal oscillator 2.

Definition at line 355 of file clk.h.

enum CLK_XClkInSrc_e

Enumeration to define the clock in source.

Enumerator
CLK_XClkInSrc_Gpio38 |
CLK_XClkInSrc_Gpio19 |

Definition at line 305 of file clk.h.

## Function Documentation

void CLK_disableAdcClock | ( | CLK_Handle | clkHandle | ) |

Disables the ADC clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 57 of file clk.c.

References CLK_PCLKCR0_ADCENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableClaClock | ( | CLK_Handle | clkHandle | ) |

Disables the CLA clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 73 of file clk.c.

References CLK_PCLKCR3_CLA1ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_disableClkIn | ( | CLK_Handle | clkHandle | ) |

Disables the XCLKIN oscillator input.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 89 of file clk.c.

References CLK_CLKCTL_XCLKINOFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_disableCompClock | ( | CLK_Handle | clkHandle,
|  | const CLK_CompNumber_e | compNumber
| ) |  |

Disables the comparator clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | compNumber | The comparator number

Definition at line 105 of file clk.c.

References _CLK_Obj_::PCLKCR3.

void CLK_disableCpuTimerClock | ( | CLK_Handle | clkHandle,
|  | const CLK_CpuTimerNumber_e | cpuTimerNumber
| ) |  |

Disables the CPU timer clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | cpuTimerNumber | The CPU timer number

Definition at line 117 of file clk.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_disableCrystalOsc | ( | CLK_Handle | clkHandle | ) |

Disables the crystal oscillator.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 133 of file clk.c.

References CLK_CLKCTL_XTALOSCOFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_disableEcanaClock | ( | CLK_Handle | clkHandle | ) |

Disables the ECANA clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 149 of file clk.c.

References CLK_PCLKCR0_ECANAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableEcap1Clock | ( | CLK_Handle | clkHandle | ) |

Disables the ECAP1 clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 165 of file clk.c.

References CLK_PCLKCR1_ECAP1ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_disableEqep1Clock | ( | CLK_Handle | clkHandle | ) |

Disables the EQEP1 clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 181 of file clk.c.

References CLK_PCLKCR1_EQEP1ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_disableEqep2Clock | ( | CLK_Handle | clkHandle | ) |

Disables the EQEP2 clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 196 of file clk.c.

References CLK_PCLKCR1_EQEP2ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_disableGpioInputClock | ( | CLK_Handle | clkHandle | ) |

Disables the GPIO input clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 212 of file clk.c.

References CLK_PCLKCR3_GPIOINENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_disableHrPwmClock | ( | CLK_Handle | clkHandle | ) |

Disables the HRPWM clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 228 of file clk.c.

References CLK_PCLKCR0_HRPWMENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableI2cClock | ( | CLK_Handle | clkHandle | ) |

Disables the I2C clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 244 of file clk.c.

References CLK_PCLKCR0_I2CAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableLinAClock | ( | CLK_Handle | clkHandle | ) |

Disables the LIN-A clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 260 of file clk.c.

References CLK_PCLKCR0_LINAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableOsc1 | ( | CLK_Handle | clkHandle | ) |

Disables internal oscillator 1.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 276 of file clk.c.

References CLK_CLKCTL_INTOSC1OFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_disableOsc1HaltMode | ( | CLK_Handle | clkHandle | ) |

Disables internal oscillator 1 halt mode ignore.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 292 of file clk.c.

References CLK_CLKCTL_INTOSC1HALTI_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_disableOsc2 | ( | CLK_Handle | clkHandle | ) |

Disables internal oscillator 2.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 308 of file clk.c.

References CLK_CLKCTL_INTOSC2OFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_disableOsc2HaltMode | ( | CLK_Handle | clkHandle | ) |

Disables internal oscillator 2 halt mode ignore.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 324 of file clk.c.

References CLK_CLKCTL_INTOSC2HALTI_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_disablePwmClock | ( | CLK_Handle | clkHandle,
|  | const PWM_Number_e | pwmNumber
| ) |  |

Disables the pwm clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | pwmNumber | The PWM number

Definition at line 340 of file clk.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_disableSciaClock | ( | CLK_Handle | clkHandle | ) |

Disables the SCI-A clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 356 of file clk.c.

References CLK_PCLKCR0_SCIAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableScibClock | ( | CLK_Handle | clkHandle | ) |

Disables the SCI-B clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 372 of file clk.c.

References CLK_PCLKCR0_SCIBENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableSpiaClock | ( | CLK_Handle | clkHandle | ) |

Disables the SPI-A clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 388 of file clk.c.

References CLK_PCLKCR0_SPIAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableSpibClock | ( | CLK_Handle | clkHandle | ) |

Disables the SPI-B clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 404 of file clk.c.

References CLK_PCLKCR0_SPIBENCLK_BITS, and _CLK_Obj_::PCLKCR0.

void CLK_disableTbClockSync | ( | CLK_Handle | clkHandle | ) |

Disables the ePWM module time base clock sync signal.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 416 of file clk.c.

References CLK_PCLKCR0_TBCLKSYNC_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_disableWatchDogHaltMode | ( | CLK_Handle | clkHandle | ) |

Disables the watchdog halt mode ignore.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 432 of file clk.c.

References CLK_CLKCTL_WDHALTI_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enableAdcClock | ( | CLK_Handle | clkHandle | ) |

Enables the ADC clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 448 of file clk.c.

References CLK_PCLKCR0_ADCENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableClaClock | ( | CLK_Handle | clkHandle | ) |

Enables the CLA clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 464 of file clk.c.

References CLK_PCLKCR3_CLA1ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_enableClkIn | ( | CLK_Handle | clkHandle | ) |

Enables the XCLKIN oscillator input.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 590 of file clk.c.

References CLK_CLKCTL_XCLKINOFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enableCompClock | ( | CLK_Handle | clkHandle,
|  | const CLK_CompNumber_e | compNumber
| ) |  |

Enables the comparator clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | compNumber | The comparator number

Definition at line 480 of file clk.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_enableCpuTimerClock | ( | CLK_Handle | clkHandle,
|  | const CLK_CpuTimerNumber_e | cpuTimerNumber
| ) |  |

Enables the CPU timer clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | cpuTimerNumber | The CPU timer number

Definition at line 496 of file clk.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_enableCrystalOsc | ( | CLK_Handle | clkHandle | ) |

Enables the crystal oscillator.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 512 of file clk.c.

References CLK_CLKCTL_XTALOSCOFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enableEcanaClock | ( | CLK_Handle | clkHandle | ) |

Enables the ECANA clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 528 of file clk.c.

References CLK_PCLKCR0_ECANAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableEcap1Clock | ( | CLK_Handle | clkHandle | ) |

Enables the ECAP1 clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 574 of file clk.c.

References CLK_PCLKCR1_ECAP1ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_enableEqep1Clock | ( | CLK_Handle | clkHandle | ) |

Enables the EQEP1 clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 544 of file clk.c.

References CLK_PCLKCR1_EQEP1ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_enableEqep2Clock | ( | CLK_Handle | clkHandle | ) |

Enables the EQEP2 clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 559 of file clk.c.

References CLK_PCLKCR1_EQEP2ENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_enableGpioInputClock | ( | CLK_Handle | clkHandle | ) |

Enables the GPIO input clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 606 of file clk.c.

References CLK_PCLKCR3_GPIOINENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR3.

void CLK_enableHrPwmClock | ( | CLK_Handle | clkHandle | ) |

Enables the HRPWM clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 622 of file clk.c.

References CLK_PCLKCR0_HRPWMENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableI2cClock | ( | CLK_Handle | clkHandle | ) |

Enables the I2C clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 638 of file clk.c.

References CLK_PCLKCR0_I2CAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableLinAClock | ( | CLK_Handle | clkHandle | ) |

Enables the LIN-A clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 654 of file clk.c.

References CLK_PCLKCR0_LINAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableOsc1 | ( | CLK_Handle | clkHandle | ) |

Enables internal oscillator 1.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 670 of file clk.c.

References CLK_CLKCTL_INTOSC1OFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enableOsc1HaltMode | ( | CLK_Handle | clkHandle | ) |

Enables internal oscillator 1 halt mode ignore.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 686 of file clk.c.

References CLK_CLKCTL_INTOSC1HALTI_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enableOsc2 | ( | CLK_Handle | clkHandle | ) |

Enables internal oscillator 2.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 702 of file clk.c.

References CLK_CLKCTL_INTOSC2OFF_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enableOsc2HaltMode | ( | CLK_Handle | clkHandle | ) |

Enables internal oscillator 2 halt mode ignore.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 718 of file clk.c.

References CLK_CLKCTL_INTOSC2HALTI_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_enablePwmClock | ( | CLK_Handle | clkHandle,
|  | const PWM_Number_e | pwmNumber
| ) |  |

Enables the pwm clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | pwmNumber | The PWM number

Definition at line 734 of file clk.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR1.

void CLK_enableSciaClock | ( | CLK_Handle | clkHandle | ) |

Enables the SCI-A clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 750 of file clk.c.

References CLK_PCLKCR0_SCIAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableScibClock | ( | CLK_Handle | clkHandle | ) |

Enables the SCI-B clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 766 of file clk.c.

References CLK_PCLKCR0_SCIBENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableSpiaClock | ( | CLK_Handle | clkHandle | ) |

Enables the SPI-A clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 782 of file clk.c.

References CLK_PCLKCR0_SPIAENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableSpibClock | ( | CLK_Handle | clkHandle | ) |

Enables the SPI-B clock.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 798 of file clk.c.

References CLK_PCLKCR0_SPIBENCLK_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableTbClockSync | ( | CLK_Handle | clkHandle | ) |

Enables the ePWM module time base clock sync signal.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 814 of file clk.c.

References CLK_PCLKCR0_TBCLKSYNC_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::PCLKCR0.

void CLK_enableWatchDogHaltMode | ( | CLK_Handle | clkHandle | ) |

Enables the watchdog halt mode ignore.

Parameters

  [in] | clkHandle | The clock (CLK) object handle

Definition at line 830 of file clk.c.

References CLK_CLKCTL_WDHALTI_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

CLK_Handle CLK_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the clock (CLK) object handle.

Parameters

  [in] | pMemory | A pointer to the base address of the CLK registers
  [in] | numBytes | The number of bytes allocated for the CLK object, bytes

Returns
  The clock (CLK) object handle

Definition at line 846 of file clk.c.

void CLK_setClkOutPreScaler | ( | CLK_Handle | clkHandle,
|  | const CLK_ClkOutPreScaler_e | preScaler
| ) |  |

Sets the external clock out prescaler.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | preScaler | The prescaler value

Definition at line 861 of file clk.c.

References CLK_XCLK_XCLKOUTDIV_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::XCLK.

void CLK_setLowSpdPreScaler | ( | CLK_Handle | clkHandle,
|  | const CLK_LowSpdPreScaler_e | preScaler
| ) |  |

Sets the low speed peripheral clock prescaler.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | preScaler | The prescaler value

Definition at line 881 of file clk.c.

References DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::LOSPCP.

void CLK_setOsc2Src | ( | CLK_Handle | clkHandle,
|  | const CLK_Osc2Src_e | src
| ) |  |

Sets the oscillator 2 clock source.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | src | The oscillator 2 clock source

Definition at line 917 of file clk.c.

References CLK_CLKCTL_OSCCLKSRC2SEL_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_setOscSrc | ( | CLK_Handle | clkHandle,
|  | const CLK_OscSrc_e | src
| ) |  |

Sets the oscillator clock source.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | src | The oscillator clock source

Definition at line 898 of file clk.c.

References CLK_CLKCTL_OSCCLKSRCSEL_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_setTimer2PreScaler | ( | CLK_Handle | clkHandle,
|  | const CLK_Timer2PreScaler_e | preScaler
| ) |  |

Sets the timer 2 clock prescaler.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | preScaler | The prescaler value

void CLK_setTimer2Src | ( | CLK_Handle | clkHandle,
|  | const CLK_Timer2Src_e | src
| ) |  |

Sets the timer 2 clock source.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | src | The timer 2 clock source

Definition at line 974 of file clk.c.

References CLK_CLKCTL_TMR2CLKSRCSEL_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_setWatchDogSrc | ( | CLK_Handle | clkHandle,
|  | const CLK_WdClkSrc_e | src
| ) |  |

Sets the watchdog clock source.

Parameters

  [in] | clkHandle | The clock (CLK) object handle
  [in] | src | The watchdog clock source

Definition at line 993 of file clk.c.

References CLK_CLKCTL_WDCLKSRCSEL_BITS, _CLK_Obj_::CLKCTL, DISABLE_PROTECTED_REGISTER_WRITE_MODE, and ENABLE_PROTECTED_REGISTER_WRITE_MODE.

void CLK_setXClkInSrc | ( | CLK_Handle | clkHandle,
|  | const CLK_XClkInSrc_e | src
| ) |  |

Sets the XCLKIN Clock Source.

Parameters

  [in] | clkHandle | The clock (CLK) object handle [in] src The XCLKIN clock source

Definition at line 936 of file clk.c.

References CLK_XCLK_XCLKINSEL_BITS, DISABLE_PROTECTED_REGISTER_WRITE_MODE, ENABLE_PROTECTED_REGISTER_WRITE_MODE, and _CLK_Obj_::XCLK.